<template lang="pug">
  dashboard(
    v-bind:tabName="tabName"
    v-bind:templates="templates"
  )
</template>

<script>
import photosApi from '../../api/photos'
import dataService from '../../services/data'

export default {
  name: 'DashboardPage',
  layout: 'editor',
  data () {
    return {
      tabName: 'TEMPLATES',
      templates: []
    }
  },
  asyncData ({ store }) {
    return new Promise(function (resolve) {
      store.dispatch('updateSEO', dataService.getSeo())
      resolve()
    })
  },
  head () {
    return {
      script: [
        { src: 'https://ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js' },
        { src: '/vue-static/photos/js/splitText.min.js', type: 'text/javascript' },
        { src: '/vue-static/photos/js/skrollr.min.js', type: 'text/javascript' }
      ]
    }
  },
  created () {
    if (this.$route.params.tabName) {
      this.tabName = this.$route.params.tabName
    }

    photosApi.getTemplates().then(templatesData => {
      let templates = []
      templatesData.collages.forEach(collage => {
        templates.push({
          id: collage.id,
          preview: collage.preview,
          data: JSON.parse(collage.json).collage
        })
      })
      this.templates = templates
    })
  }
}
</script>
